Redmine - Defect #36363

Cannot select text in a table with a context menu available

2021-12-28 07:46 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.6

Resolution: Fixed Affected version:

Description

| often try to copy the issue id or subject in the issues table.

When | try to select a range of text in the table for copying, it is reset the moment | release the mouse(mouseup event).
Perhaps it is the effect of connectMenuClearDocumentSelection() function.
https://redmine.org/projects/redmine/repository/revisions/21329/entry/trunk/public/javascripts/context_menu.js#L.194
Looking at the changelog of contextMenuClearDocumentSelection(), this process looks like code to avoid selecting a range of text

when Ctrl/Shift is used to select multiple lines.

https://www.redmine.org/projects/redmine/repository/revisions/1130/entry/trunk/public/javascripts/context_menu.js#L 11

If my guess is correct, there is no need to reset the text range selection with contextMenuClearDocumentSelection() when only one

line is selected.

Associated revisions

Revision 21334 - 2021-12-31 01:47 - Go MAEDA

Cannot select text in a table with a context menu available (#36363).

Patch by Mizuki ISHIKAWA.

Revision 21358 - 2022-01-11 01:30 - Go MAEDA
Merged r21334 from trunk to 4.2-stable (#36363).

Revision 21359 - 2022-01-11 01:37 - Go MAEDA
Merged r21334 from trunk to 4.1-stable (#36363).

History

#1 - 2021-12-28 07:49 - Mizuki ISHIKAWA

The following changes will only move connectMenuClearDocumentSelection() when Shift key / Control key / meta key is pressed.

diff --git a/public/javascripts/context_menu.js b/public/javascripts/context_menu. js

index 504c9cbc6e..55d77bd77f 100644
—-—— a/public/javascripts/context_menu. js
+++ b/public/javascripts/context_menu. js
@@ -46,6 +46,7 Q@ function contextMenuClick (event) {
} else {
if (event.ctrlKey || event.metaKey) {
contextMenuToggleSelection (tr);
+ contextMenuClearDocumentSelection () ;
} else if (event.shiftKey) {
lastSelected = contextMenulLastSelected();
if (lastSelected.length) ({
@@ -53,6 +54,7 @@ function contextMenuClick (event) {
S ('.hascontextmenu') .each (function () {
if (toggling || $(this).is(tr)) {
contextMenuAddSelection ($ (this));
+ contextMenuClearDocumentSelection () ;
https://redmine.org/projects/redmine/repository/revisions/21329/entry/trunk/public/javascripts/context_menu.js#L194
https://www.redmine.org/projects/redmine/repository/revisions/1130/entry/trunk/public/javascripts/context_menu.js#L11

}

if ($(this).is(tr) || $(this).is(lastSelected)

toggling = !toggling;
@@ -191,7 +193,6 @@ function contextMenuToggleSelection (tr)
function contextMenuAddSelection(tr) {
tr.addClass ('context-menu-selection');
contextMenuCheckSelectionBox (tr, true);
— contextMenuClearDocumentSelection () ;

}

function contextMenuRemoveSelection (tr) {

#2 - 2021-12-29 08:11 - Go MAEDA

- Status changed from New to Confirmed

#3 - 2021-12-29 08:17 - Go MAEDA

- Subject changed from Cannot select a range of text in a table with a context menu available. to Cannot select text in a table with a context menu

available

- Target version set to 4.1.6

Setting the target version to 4.1.6.

#4 - 2021-12-31 01:47 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#5 - 2022-01-11 01:37 - Go MAEDA

- Status changed from Resolved to Closed
